curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/autoscale-groups/{group_id}/security-groups/{security_group_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/autoscale-groups/{group_id}/security-groups/{security_group_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/autoscale-groups/{group_id}/security-groups/{security_group_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Detaches one Security Group from an Auto Scaling Group; the VMs stop using its rules. The last Security Group cannot be detached while the group has SSH keys. Needs the permission to update.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Auto Scaling Group ID
Security Group ID
Query Parameters
Section titled “Query Parameters”Project ID
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
Responses
Section titled “Responses”Security Group detached
object
object
Example
{ "code": 200, "message": "Success", "data": "Security group removal successful", "errors": {}}The Security Group is not attached to the group; it is the last one and the group has SSH keys; or the removal failed. errors is “Project ID is missing or invalid” when project_id is missing or not a number.
object
object
One of: “Security Group not found”, “At least one security group must be attached to the node when SSH is enabled.”, “Security group removal failed”.
Example
{ "code": 400, "message": "Bad Request", "data": {}, "errors": "Security Group not found"}No Auto Scaling Group with that ID in the project and region.
object
object
Example
{ "code": 404, "message": "Bad Request", "data": {}, "errors": "Autoscale Group not found"}